@echo off
SET CMD_NAME=
set num_blocks=
set delta=


echo start to pack system.img


if  not exist genext2fs.exe (
set cmd_name=genext2fs
goto error)

if  not exist tune2fs.exe (
set cmd_name=tune2fs
goto error)

if  not exist e2fsck.exe (
set cmd_name=e2fsck
goto error)

if  not exist resize2fs.exe (
set cmd_name=resize2fs
goto error)

if  not exist du.exe (
set cmd_name=du
goto error)


echo start to estimate num of blocks
cd ..\temp
for /f  %%a IN ('..\bin\du -sk system') DO set num_blocks=%%a
cd ..\bin
echo num_blocks = %num_blocks%

set delta=5120
:loop_1st
set /A num_blocks = %num_blocks%+%delta%

echo start to make ext2 image (num_blocks=%num_blocks%)
genext2fs -a -d ..\temp\system -b %num_blocks% -m 0 system.img
if %errorlevel% NEQ 0 (goto loop_1st)

echo Info:Pack system.img success.
goto exit

:error
echo Error:%CMD_NAME% is not existed.
:exit

@echo on